%global pkgname tracing

Name:           python-%{pkgname}
Version:        0.9
Release:        7%{?dist}
Summary:        Python debug logging helper

License:        GPLv3+
URL:            http://liw.fi/%{pkgname}/
Source0:        http://code.liw.fi/debian/pool/main/p/%{name}/%{name}_%{version}.orig.tar.xz

BuildArch:      noarch
BuildRequires:  python2-sphinx
BuildRequires:  python2-devel

%global _description\
The Python library tracing helps with logging debug messages. It\
provides a couple of functions for logging debug messages, and allows\
the user to enable or disable logging for particular code modules.\
\
It is sometimes practical to add a lot of debugging log messages to a\
program, but having them enabled all the time results in very large\
log files. Also, logging that much takes quite a bit of time.\
\
This module provides a way to turn such debugging or tracing messages\
on and off, based on the filename they occur in. The logging can that\
be left in the code, and only enabled when it is needed.\


%description %_description

%package -n python2-%{pkgname}
Summary: %summary
%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname} %_description

%package        doc
Summary:        Documentation for %{pkgname}
Requires:       %{name} = %{version}-%{release}

%description    doc
This package contains the documentation for %{pkgname}, a Python debug
logging helper.


%prep
%autosetup -p1


%build
%py2_build
# Build documentation
make -C doc html


%install
%py2_install

 
%files -n python2-%{pkgname}
%doc NEWS README
%license COPYING
%{python2_sitelib}/tracing*

%files doc
%doc doc/_build/html/* example.py


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Aug 22 2017 Iryna Shcherbina <ishcherb@redhat.com> - 0.9-5
- Add a build-time dependency on python2-devel and modernize spec file

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9-4
- Python 2 binary package renamed to python2-tracing
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Jan  9 2017 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.9-1
- Update to 0.9

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-5
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 27 2013 Michel Salim <salimma@fedoraproject.org> - 0.8-1
- Update to 0.8

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Michel Salim <salimma@fedoraproject.org> - 0.7-2
- Include license text

* Mon Feb 25 2013 Michel Salim <salimma@fedoraproject.org> - 0.7-1
- Update to 0.7

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun  5 2012 Michel Salim <salimma@fedoraproject.org> - 0.6-2
- Remove unneeded %%{python_sitelib} declaration
- Include example program in -doc

* Sun Jun  3 2012 Michel Salim <salimma@fedoraproject.org> - 0.6-1
- Initial package
